Get Transferability Courses

Returns transfer areas and the courses satisfying them for a specific institution and academic year. Accepts lists of area ids per area type to filter results.

Api

Route
/Transferability/api/Courses
Method
POST
Key Required
Yes
Common Response
No
Response Type
Array of Transferability Area with Courses

Request Body

academicYearId (integer, required)
The academic year to retrieve transferability data for. Academic year ids are returned from Get Academic Years.
institutionId (integer, required)
The unique id of the institution. Institution ids are returned from Get Institutions.
csugeAreaIds (Array of integer)
Filters results to the specified CSU General Education area ids. Area ids are returned from Get Transferability Areas.
igetcAreaIds (Array of integer)
Filters results to the specified IGETC area ids. Area ids are returned from Get Transferability Areas.
csuaiAreaIds (Array of integer)
Filters results to the specified CSU American Ideals area ids. Area ids are returned from Get Transferability Areas.
calgetcAreaIds (Array of integer)
Filters results to the specified CALGETC area ids. Area ids are returned from Get Transferability Areas.

Curl Example

curl -X 'POST' \
  'https://prod.assistng.org/Transferability/api/Courses' \
  -H 'accept: application/json' \
  -H 'API-Key':'<redacted>' \
  -H 'Content-Type: application/json' \
  -d '{
    "academicYearId": 74,
    "institutionId": 110,
    "igetcAreaIds": [12]
  }'
  • academicYearId = 74 (2023-2024)
  • institutionId = 110 (Allan Hancock College)
  • API-Key = <redacted> (You’ll need to provide your own key.)

Sample Response

[
  {
    "areaType": "IGETC",
    "code": "1A",
    "name": "English Composition",
    "areaId": 12,
    "spans": [
      {
        "id": 101,
        "begin": {
          "yearTermCode": "F2020",
          "id": 241,
          "beginDate": "2020-08-01T00:00:00",
          "endDate": "2021-01-01T00:00:00",
          "description": "Fall 2020",
          "code": "F2020"
        },
        "end": null
      }
    ],
    "courses": [
      {
        "courseIdentifierParentId": 340948,
        "courseTitle": "Introductory Chemistry",
        "courseNumber": "25",
        "prefix": "CHEM",
        "prefixParentId": 3868,
        "prefixDescription": "Chemistry",
        "departmentParentId": 2370,
        "department": "Chemistry and Biochemistry",
        "begin": "F2020",
        "beginDate": "2020-08-01T00:00:00",
        "beginTermId": 241,
        "end": "",
        "endDate": null,
        "endTermId": null,
        "minUnits": 3.00,
        "maxUnits": 3.00,
        "isTerminated": false,
        "hasOutline": true,
        "isCsuTransferable": true,
        "isUcTransferable": false,
        "crosslistedCourses": [],
        "pathways": []
      }
      // ... additional courses omitted for brevity
    ]
  }
  // ... additional areas omitted for brevity
]

Transferability Area Model

areaType (string)
The area type code (e.g. IGETC, CSUGE).
code (string)
The area’s short identifier (e.g. 1A, 2).
name (string)
The name of the area.
areaId (number)
The unique id of the area.
spans (Array of Area Span)
The year term ranges during which this area is active.
courses (Array of Course)
The courses from the requested institution that satisfy this transfer area.

Area Span Model

Represents the active date range for a transferability area, expressed as beginning and ending Year Terms.

id (number)
The unique id of the span.
begin (Year Term)
The year term in which this area span begins.
end (Year Term)
The year term in which this area span ends. null if the span continues indefinitely.